Copyright: Copyright © Calitz Bros


Graphit Help Contents
Contents

The Components

  TCBGraph_

  TCB_DBGraph

Additional Information

 Order Information

 Product Support

 Printing support for the TCB_Graph and TCB_DBGraph components


Ordering Information
ORDER FORM

Software Registration of Calitz Bros. software

Cost of registration (as of 1 January 1996)

PRODUCT DESCRIPTION	PRICE
Aha file print utility 16 & 32 bit V5.X	$20
Sortit Grid components 16 & 32 bit V5.X	$50
GraphIt components 16 & 32 bit V5.X	$50
PrintIt components 16 & 32 bit V5.X	$50
ReportIt components 16 & 32 bit V5	$50
BandIt components 16 & 32 bit V5.X	$75
CB Suite 16 & 32 bit V5.X (Contains Sortit, GraphIt, PrintIt, ReportIt and BandIt	$150

Registered users of Sortit, GraphIt, PrintIt ,ReportIt or BandIt can contact Calitz Bros for details on how to upgrade to CB Suite at a reduced price.

How to register

For technical support or comments about any of these products, contact Calitz Bros. via E-Mail.

We make use of shareware payment processing services which ONLY handle orders for us.

For your convenience we now have four services through which you can register your copy of Calitz Bros. shareware, namely :

 ShareIt

 Kagi Software

 NorthStar Solutions

 Compuserve

1. ShareIt!

If you would like to register our products, you can do the registration online on the Internet at http://www.shareit.com and enter the program number there or select the Register Now icon next to the product name.

If you do not have access to the Internet, you can register via phone, fax or postal mail. Please print out the following form, and fax or mail it to:

Reimold & Schumann Internet Services

ShareIt!

Jahnstrasse 24

50676 Koeln Germany

Phone: +49-221-2407279 or +49-172-7229837

Fax: +49-221-2407278

E-Mail: register@shareit.com

Registration form for __________ (Product Name)

Program No.: __________ (Product Number)

Last name: ___________________________________

First name: ____________________________________

Street and #: ______________________________________

City, State, postal code: ________________________________

Country: _______________________________________

Phone: _____________________________________

Fax: ________________________________________

E-Mail: ______________________________________

How would like to receive the registration key/full version?

e-mail - fax - postal mail

How would you like to pay the registration fee :

credit card - money transfer - EuroCheque - cash

Credit card information (if applicable)

Credit card: Visa - Eurocard/Mastercard - American Express - Diners Club

Card holder: ________________________________

Card No.: ___________________________________

Date of Expiration : ___________________________________

Date / Signature ___________________________

     2. Kagi Software

     You may place your order through Kagi Software by E-Mail (encrypted), Fax or Postal Mail. They accept payment in cash, checks, money orders, Visa Card, Master Card and American Express Card.

     Use the supplied REGISTER.EXE program to order through Kagi Software and follow the on- line prompts.

3. NorthStar Solutions

NorthStar Solutions can easily be contacted FOR ORDERS ONLY via any of the following methods:

PHONED ORDERS:

Calls are taken 10 am - 8 pm, EST, Monday through Saturday

1-800-699-6395 (Calls from the U.S. only)

1-803-699-6395

FAXED ORDERS:

1-803-699-5465 (Available 24 hours. International and business orders encouraged.)

E-MAILED ORDERS:

America On-line: STARMAIL

Compuserve: 71561,2751

Internet: 71561.2751@compuserve.com

MAILED ORDERS:

You may register with a check or money order (U.S. currency) Make them payable  to  NorthStar Solutions  and send them to :

NorthStar Solutions

PO Box 25262

Columbia, SC 29224

Please provide (or be prepared to provide) the following information when ordering:

The program you are registering.

Your mailing address

Your Visa, MasterCard, or Discovery # and its expiration date (if using credit card).

Your E-Mail address (so NorthStar Solutions can send you E-Mail confirming  your order and so we can contact you to send you your registration codes and any important follow-up information, upgrade announcements,  etc. )

4. Compuserve

Go SWREG and use the following Registration ID's:

PRODUCT	REGISTRATION ID
Aha	11670
CB Grid  (SortIt)	13063
PrintIt	11546
ReportIt	11547
BandIt	14287
CBSuite	14162

Benefits of registration

Minor upgrades and bug fixes are free to registered users.

Registered users are informed of upgrades and new software releases.

Registered users may supply the components royalty-free in their source code.

Registered users will receive an activation code that deactivates nag screens  or nag messages on printouts.

On receipt of your order details, we will supply you a activation code by either e-mail, fax or postal mail that disables all nag screens and/or printouts.

Please note that we do not supply source code of our components !


SeriesNames
SeriesNames Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property SeriesNames TStringList;

Description

Indicates the strings that should be used for the different series


Copies
Copies Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property Copies Integer

Description

Indicates the number of copies that will be printed. Default is 1. This is only valid when OutputTo is set to poPrinter.


BorderBkColor
BorderBkColor Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property BorderBkColor TColor

Description

Indicates the color of the outside border of the graph


YMax
YMax Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property YMax double;

Description

Indicates the maximum value at which the graph should end. Default is 100.


TitleBottom
TitleBottom Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property TitleBottom string;

Description

Indicates the string that should be used as the title at the bottom of the graph


ViewBkColor
ViewBkColor Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property ViewBkColor TColor;

Description

Indicates the background color of the viewer


GraphType
GraphType Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property GraphType TGraphType

Description

Indicates the graphtype that will be drawn. Options are

ctLine

ctBar

ctPie

ctScatter


YDisplayFormat
YDisplayFormat Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property YDisplayFormat string;

Description

Indicates how the Y-Values should be displayed. Default is #.00


GraphBkColor
GraphBkColor Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property GraphBkColor TColor;

Description

Indicates the color of the background of the graph


CurrentPieSeries
CurrentPieSeries Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property CurrentPieSeries Integer;

Description

Indicates the current pie series that will be displayed. Only one pie series can be displayed at a time.


ShowPiePercentage
ShowPiePercentage Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property ShowPiePercentage Boolean;

Description

Indicates if the percentage should be shown alongside the pie slice.


RightMargin
RightMargin Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property RightMargin Integer;

Description

Indicates the margin which should be left on the right side of the graph


OutputTo
OutputTo Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property OutputTo TOutput;

Description

Indicates where the output should be displayed. Default is poViewer. poPrinter is the other option.These options can be found in CB_Types.


SetValue
SetValue Method

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

procedure SetValue (Series: Integer; Item: Integer; Value: double);

Description

Places a Value inside the Graph.

Example:

CB_Graph1.Setvalue (3,5, 12.0);

will place the value 12.0 at Series 3 and Item 5. Use Getvalue to retrieve the value from the Graph

GetValue and SetValue have 1 as a base i.e. they start from 1 and not from 0;


GetValue
GetValue Method

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

function  GetValue (Series: Integer; Item: Integer) : double;

Description

Retrieves a Value from the Graph.

Example:

k := CB_Graph1.Getvalue (3,5);

will retrieve the value at Series 3 and Item 5 from the Graph. See also Setvalue.

GetValue and SetValue have 1 as a base i.e. they start from 1 and not from 0;


LeftMargin
LeftMargin Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property LeftMargin Integer;

Description

Indicates the margin that will be left on the left side of the chart.


YMin
YMin Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property YMin double;

Description

Indicates the minimum value at which the graph should begin. Default is 0.


TCB_Graph Component

Properties 	Methods

Unit

CB_Graph

Description

The TCB_Graph and TCB_DBGraph components adds graph capabilities to Delphi 1 and 2. These components are native Delphi components and are very easy to use as most of the settings are done by using properties. Both of the components can be printed and includes the capabilies to print out on any part of the page and has Landscape and Portrait capabilities built in.

Printing can be even more enhanced by using the separately sold Printit from Calitz Bros together with Graphit. Printit allows the programmer the capability of printing graphs intermixed with most of the visual components e.g. TDBGrid , TEdit, TMemo, TImage ,etc when used together with Graphit.

TCB_Graph is different from TCB_DBGraph in that TCB_Graph does not need the Borland Database Engine (DBE) to be present if your program does not include any database objects. The TCB_DBGraph allows the added capabilty of reading data directly from a TDataset i.e. a TQuery or a TTable. With the TCB_Graph the programmer has to set the values during runtime by using the SetValue Method. Values can be retrieved from both of these components by using the GetValue method during runtime.

The number of series can be set by changing NSeries and the number of values in each series can be set by changing NValues. SeriesNames and ValueNames can be changed to allow for more user friendly graphs. A preview program is built into the components. To change the destination of the output, set the OutputTo property.  The number of copies can be changed by setting Copies property. Please note that this only applies when the OutputTo property is set to poPrinter.

The size of the graph on your printer is determined by the size on your screen. To enlarge the size on the printer, enlarge the image on the screen.


NValues
NValues Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property NValues Integer;

Description

Indicates the number of values per series.


 TCB_DBGraph Component

Properties

Unit

CB_DBGr

Description

The TCB_DBGraph component is virtually the same as the TCB_Graph component except that it allows data to be added from a TDataset column by using the LoadSeries method. For the applicable properties see TCB_Graph.


InnerBorderStyle
InnerBorderStyle Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property InnerBorderStyle TBorderStyle;

Description

Indicates the borderstyle which surrounds the graph itself.


Orientation
Orientation Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property Orientation TOrient;

Description

Indicates the orientation of the chart in the Viewer or on the Printed page. Can be Default, Landscape or Portrait. The definitions are kept in the CB_Types unit.


Support
Support Information

Support is available from the following:

E-mail:	calitzbros@2-hot.com

Internet home page	http://calitzbros.simplenet.com

Fax	+27 12 342 5269


TitleRight
TitleRight Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property TitleRight string;

Description

Indicates the string that should be used as the title at the right of the graph


ViewHeading
ViewHeading Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property ViewHeading string;

Description

Indicates the heading that should be displayed in the viewer. Default is Chartit Viewer


TitleTop
TitleTop Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property TitleTop string;

Description

Indicates the string that should be used as the title at the top of the graph


GridLines
GridLines Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property GridLines TGridLines;

Description

Indicates the gridlines which will be drawn. Default is glBoth.


BorderStyle
BorderStyle Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property BorderStyle TBorderStyle

Description

Indicates the borderstyle of the outside border of the chart.


YGap
YGap Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property YGap double;

Description

Indicates the gap between 2  y values. Default is 20.


TopMargin
TopMargin Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property TopMargin integer;

Description

Indicates the top margin where the graph should start displaying. Default is 40


Methods
TCB_Graph and TCB_DBGraph Methods

AdjustScale

GetValue

SetValue


Properties
TCB_Graph and TCB_DBGraph Properties

BorderBkColor

BorderStyle

BottomMargin

ChartBkColor

ChartType

Copies

CurrentPieSeries

GridLines

InnerBorderStyle

LeftMargin

NSeries

NValues

Orientation

OutputTo

RightMargin

SeriesNames

ShowLegend

ShowPiePercentage

TitleBottom

TitleLeft

TitleRight

TitleTop

TopMargin

ValueNames

ViewBkColor

ViewHeading

YDisplayFormat

YGap

YMax

YMin


AdjustScale
AdjustScale Method

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

procedure AdjustScale;

Description

Adjusts the scale after new values has been input to the Graph components;


BottomMargin
BottomMargin Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property BottomMargin Integer;

Description

Indicates the bottom margin (in pixels)


ShowLegend
ShowLegend Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property ShowLegend Boolean;

Description

Indicates if the legend of the chart should be displayed on the right.


Printing
Printing support for the TCB_Graph and TCB_DBGraph

Applies to

TCB_Graph and TCB_DBGraph components

Printing support is build into both these components. By using the separately sold Printit from Calitz Bros these components can be printed together with most of the visual components.


NSeries
NSeries Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property NSeries Integer;

Description

Indicates the number of series.


ValueNames
ValueNames Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property ValueNames TStringList;

Description

Indicates the strings that should be used for the different values


TitleLeft
TitleLeft Property

Applies to

TCB_Graph and TCB_DBGraph components

Declaration

property TitleLeft string;

Description

Indicates the string that should be used as the title at the left of the graph